Attendance Profiles

Similar to the attendance_profile service only this returns data from a date range.

Service Name

attendance_profiles

Required Parameters

NameType
start_datedatetime
end_datedatetime

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=attendance_profiles&start_date=2015-01-01&end_date=2015-02-01"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="attendance_profiles" name="srv"/>
      <argument value="2015-01-01" name="start_date"/>
      <argument value="2015-02-01" name="end_date"/>
    </parameters>
  </request>
  <response>
    <events count="2">
      <event id="756">
        <name>Sunday Morning Service</name>
        <occurrence>2015-01-04 00:00:00</occurrence>
        <did_not_meet>false</did_not_meet>
        <topic></topic>
        <notes></notes>
        <prayer_requests></prayer_requests>
        <info></info>
        <attendees>
          <attendee id="10">
            <first_name>Ben</first_name>
            <last_name>Bolton</last_name>
          </attendee>
          <attendee id="25">
            <first_name>Sarah</first_name>
            <last_name>Connor</last_name>
          </attendee>
        </attendees>
        <head_count></head_count>
      </event>
      <event id="756">
        <name>Sunday Morning Service</name>
        <occurrence>2015-01-11 00:00:00</occurrence>
        <did_not_meet>false</did_not_meet>
        <topic></topic>
        <notes></notes>
        <prayer_requests></prayer_requests>
        <info></info>
        <attendees>
          <attendee id="10">
            <first_name>Ben</first_name>
            <last_name>Bolton</last_name>
          </attendee>
        </attendees>
        <head_count></head_count>
      </event>
    </events>
  </response>
</ccb_api>